The vty-ui package

[Tags:bsd3, deprecated, library]
Deprecated. in favor of brick

An extensible library of user interface widgets for composing and laying out Vty user interfaces. This library provides a collection of widgets for building and composing interactive, event-driven terminal interfaces. This library is intended to make non-trivial user interfaces easy to express and modify without having to worry about terminal size.

Be sure to check out the user manual for the version you're using at: http://jtdaugherty.github.com/vty-ui/

Build with the demos flag to get a set of demonstration programs to see some of the things the library can do!

Properties

Versions 0.1, 0.2, 0.3, 0.4, 1.0, 1.0.1, 1.1, 1.2, 1.3, 1.3.1, 1.4, 1.5, 1.5.1, 1.6, 1.6.1, 1.7, 1.7.1, 1.8, 1.9
Dependencies array (>=0.3.0.0 && <0.6.0.0), base (==4.*), bytestring (>=0.9 && <1.0), containers (>=0.2 && <0.6), directory (>=1.0 && <1.3), filepath (>=1.1 && <1.4), mtl (>=2.0 && <2.2), old-locale (==1.0.*), QuickCheck (>=2.4 && <2.7), random (>=1.0), regex-base (==0.93.*), stm (>=2.1 && <2.5), text (>=0.11), time (>=1.1 && <1.5), unix (>=2.4 && <2.8), vector (>=0.9), vty (>=4.7.0.18), vty-ui [details]
License BSD3
Author Jonathan Daugherty <cygnus@foobox.com>
Maintainer Jonathan Daugherty <cygnus@foobox.com>
Stability Unknown
Category User Interfaces
Home page http://jtdaugherty.github.com/vty-ui/
Source repository head: git clone git://github.com/jtdaugherty/vty-ui.git
Uploaded Fri May 23 02:38:46 UTC 2014 by JonathanDaugherty
Distributions NixOS:1.9
Downloads 4326 total (52 in the last 30 days)
Votes
0 []
Status Docs available [build log]
Successful builds reported [all 1 reports]

Modules

[Index]

Flags

NameDescriptionDefaultType
no-testsSkip build of testing executableDisabledAutomatic
demosBuild demonstration programsDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees